package com.tenlionsoft.baselib.model

class DownInfo {
    //存储位置
    private var savePath: String? = null

    //下载url
    private var url: String? = null

    //基础url
    private var baseUrl: String? = null

    //文件总长度
    private var countLength: Long = 0

    //下载长度
    private var readLength: Long = 0

    //下载唯一的HttpService
    //回调监听
    //    private HttpProgressOnNextListener listener;
    //超时设置
    private var DEFAULT_TIMEOUT = 6

    //下载状态
    private var apkName: String? = null

    fun getApkName(): String? {
        return apkName
    }

    fun setApkName(apkName: String?) {
        this.apkName = apkName
    }
    constructor()
    constructor(url:String){
        setUrl(url)
        setBaseUrl(getBasUrl(url))
    }


    fun getConnectionTime(): Int {
        return DEFAULT_TIMEOUT
    }

    fun setConnectionTime(DEFAULT_TIMEOUT: Int) {
        this.DEFAULT_TIMEOUT = DEFAULT_TIMEOUT
    }

    fun getUrl(): String {
        return url!!
    }

    fun setUrl(url: String) {
        this.url = url
        setBaseUrl(getBasUrl(url))
    }

    fun getSavePath(): String {
        return savePath!!
    }

    fun setSavePath(savePath: String?) {
        this.savePath = savePath
    }

    fun getBaseUrl(): String {
        return baseUrl!!
    }

    fun setBaseUrl(baseUrl: String?) {
        this.baseUrl = baseUrl
    }

    fun getCountLength(): Long {
        return countLength
    }

    fun setCountLength(countLength: Long) {
        this.countLength = countLength
    }


    fun getReadLength(): Long {
        return readLength
    }

    fun setReadLength(readLength: Long) {
        this.readLength = readLength
    }

    /**
     * 读取baseurl
     */
    private fun getBasUrl(url: String): String {
        var url = url
        var head = ""
        var index = url.indexOf("://")
        if (index != -1) {
            head = url.substring(0, index + 3)
            url = url.substring(index + 3)
        }
        index = url.indexOf("/")
        if (index != -1) {
            url = url.substring(0, index + 1)
        }
        return head + url
    }
}