package com.tenlionsoft.aimz_k.model

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.io.Serializable

//@ColumnInfo(name = "messageId")
//var messageId: String?,           //消息唯一ID
//@ColumnInfo(name = "messageType")
//var messageType: String?,          //消息类型
//@ColumnInfo(name = "customMessageType")
//var customMessageType: String?,    //预留
//@ColumnInfo(name = "metadata")
//var metadata: String?,
//@ColumnInfo(name = "receiverId")
//var receiverId: String?,             //接受人ID
//@ColumnInfo(name = "receiverType")
//var receiverType: String?,           //接受人Type
//@ColumnInfo(name = "senderId")
//var senderId: String?,               //发送人ID
//@ColumnInfo(name = "senderType")
//var senderType: String?,             //发送人类型
//@ColumnInfo(name = "timestamp")
//var timestamp: Long?,                //时间戳
//@ColumnInfo(name = "body")
//var body: String?,                   //消息体
//@ColumnInfo(name = "msgType")
//var msgType: Int?,
//@ColumnInfo(name = "status")
//var status: String?  //发送状态 11发送中   12发送失败  13发送成功

@Entity(tableName = "db_category")
data class MsgCategoryBean(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    @ColumnInfo(name = "avatar")
    var avatar: String,
    @ColumnInfo(name = "messageId")
    var messageId: String?,                 //消息ID
    @ColumnInfo(name = "messageType")
    var messageType: String?,                //消息类型
    @ColumnInfo(name = "receiverId")
    var receiverId: String?,             //接受人ID
    @ColumnInfo(name = "receiverType")
    var receiverType: String?,           //接受人Type
    @ColumnInfo(name = "senderId")
    var senderId: String?,               //发送人ID
    @ColumnInfo(name = "senderType")
    var senderType: String?,             //发送人类型
    @ColumnInfo(name = "timestamp")
    var timestamp: Long?,                //时间戳
    @ColumnInfo(name = "body")
    var body: String?,                   //消息体
    @ColumnInfo(name = "msgType")
    var msgType: Int?,                   //用来在列表中判断显示
    @ColumnInfo(name = "status")
    var status: String?,                 //消息状态
) : Serializable