package com.tenlionsoft.baselib.utils

import android.content.ClipData
import android.content.ClipboardManager
import android.content.Context

object CopyUtils {
    fun copyTextToClipboard(ctx: Context, str: String) {
        val clipboard = ctx.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager
        clipboard.setPrimaryClip(ClipData.newPlainText("label", str))
    }
}